gstreamermm: Gst::Sample Class Reference

gstreamermm 1.0.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gst::Sample Class Reference

A Gst::Sample is a small object containing data, a type, timing and extra arbitrary information. More...

Inheritance diagram for Gst::Sample:
[legend]
Collaboration diagram for Gst::Sample:
[legend]

## Public Member Functions
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstSample* | gobj ()
| Provides access to the underlying C instance. More...
const GstSample* | gobj () const
| Provides access to the underlying C instance. More...
GstSample* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Gst::Buffer > | get_buffer ()
| Get the buffer associated with sample. More...
Glib::RefPtr< const Gst::Buffer > | get_buffer () const
| Get the buffer associated with sample. More...
Glib::RefPtr< Gst::Caps > | get_caps ()
| Get the caps associated with sample. More...
Glib::RefPtr< const Gst::Caps > | get_caps () const
| Get the caps associated with sample. More...
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...

## Protected Member Functions
| Sample ()
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
| MiniObject ()
void | operator delete (void*, std::size_t)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::Sample > | wrap (GstSample* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A Gst::Sample is a small object containing data, a type, timing and extra arbitrary information.

## Constructor & Destructor Documentation

Gst::Sample::Sample | ( |  | ) |
| protected

## Member Function Documentation

Glib::RefPtr<Gst::Buffer> Gst::Sample::get_buffer | ( |  | ) |

Get the buffer associated with sample.

Returns
  The buffer of sample or `0` when there is no buffer. The buffer remains valid as long as sample is valid.

Glib::RefPtr<const Gst::Buffer> Gst::Sample::get_buffer | ( |  | ) | const

Get the buffer associated with sample.

Returns
  The buffer of sample or `0` when there is no buffer. The buffer remains valid as long as sample is valid.

Glib::RefPtr<Gst::Caps> Gst::Sample::get_caps | ( |  | ) |

Get the caps associated with sample.

Returns
  The caps of sample or `0` when there is no caps. The caps remain valid as long as sample is valid.

Glib::RefPtr<const Gst::Caps> Gst::Sample::get_caps | ( |  | ) | const

Get the caps associated with sample.

Returns
  The caps of sample or `0` when there is no caps. The caps remain valid as long as sample is valid.

GstSample* Gst::Sample::gobj | ( |  | ) |

Provides access to the underlying C instance.

const GstSample* Gst::Sample::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GstSample* Gst::Sample::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gst::Sample::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |
| protected

void Gst::Sample::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gst::Sample::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::Sample > wrap | ( | GstSample * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/sample.h